{ pkgs ? import <nixpkgs> { } }:

pkgs.mkShell {
  packages = with pkgs; [
    cargo
    rustc
    rust-analyzer
    rustfmt
    clippy
    rustup
    cargo-auditable
    cargo-cross
    scdoc

    python3
  ];
  RUST_BACKTRACE = 1;
}
